/*
 * Skeleton Screen
 *
 * Index
 * - Skeleton
 * - Animation
 */


/* SKELETON
 -------------------- */

/**
 * @prop --background-light: base light grey color
 * @prop --background-dark: second grey color to see the animation
 */

:host {
  --background-light: var(--road-surface-disabled);
  --background-dark: rgb(137, 143, 160, 0.4);

  position: relative;
  display: block;
  width: 100%;
  min-height: 1rem;
  background: linear-gradient(to right, var(--background-light) 8%, var(--background-dark) 18%, var(--background-light) 33%);
  background-position: 100% 0;
  background-size: 200%;
  animation: road-skeleton-animation 1s linear infinite;
}

/* ANIMATION
-------------------- */

@keyframes road-skeleton-animation {

  100% {
    background-position: -100% 0;
  }
}
